> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mayar.id/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Page

> Endpoint where you can get your products

```bash Request Example theme={null}
curl --request GET 'https://api.mayar.id/hl/v1/product?page=1&pageSize=10' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
```

```json Response Example 200 theme={null}
{
    "statusCode": 200,
    "messages": "success",
    "hasMore": true,
    "pageCount": 14,
    "pageSize": "10",
    "page": 1,
    "data": [
        {
            "id": "fca92d4c-33e8-4334-b2f3-491af6d78a5b",
            "amount": 200000,
            "category": null,
            "createdAt": 1692004154797,
            "description": "<p><span style=\"color: rgb(51,51,51);background-color: rgb(251,252,252);font-size: 18px;font-family: Open Sans;\">The Invisible Man</span> <span style=\"color: rgb(51,51,51);background-color: rgb(251,252,252);font-size: 18px;font-family: Open Sans;\">(1897) is one of the most famous science fiction novels of all time. Written by H.G. Wells (1866-1946), it tells the story of a scientist who discovers the secret of invisibility and uses it on himself. The story begins as the Invisible Man, with a bandaged face and a heavy coat and gloves, takes a train to lodge in a country inn whilst he tries to discover the antidote and make himself visible again. The book inspired several films and is notable for its vivid descriptions of the invisible man-no mean feat, given that you can't see him!</span>&nbsp;</p>\n",
            "link": "invisible-man",
            "type": "audiobook",
            "subType": null,
            "status": "active",
            "name": "Invisible Man",
            "limit": null,
            "redirectUrl": null,
            "installmentId": null,
            "variant": null,
            "membershipTier": [],
            "event": null,
            "order": null,
            "coverImageId": "2529541f-dc98-4ca0-93bb-3c1d35a8dd07",
            "multipleImageId": null,
            "multipleImage": null,
            "coverImage": {
                "id": "2529541f-dc98-4ca0-93bb-3c1d35a8dd07",
                "fileType": "jpeg",
                "url": "https://media.mayar.id/images/2529541f-dc98-4ca0-93bb-3c1d35a8dd07.jpeg"
            },
            "variants": null,
            "transactions": [],
            "linkUrl": "https://testingmayar.myr.id/audiobook/invisible-man",
            "linkPayment": "https://testingmayar.myr.id/pl/invisible-man"
        }
    ],
    "total": 1
}
```

Endpoint:

```Production Production theme={null}
https://api.mayar.id/hl/v1/product?page=1&pageSize=10
```

```Sandbox Sandbox theme={null}
https://api.mayar.io/hl/v1/product?page=1&pageSize=10
```

## Authorizations

**Authorization** `string` *required*

Example:

`Authorization | Bearer Paste-Your-API-Key-Here`

## Query Parameters

**page** `integer` *required* (default: 1)

Determine which page.

**pageSize** `integer` *required* (default: 10)

How much data is displayed on the page.

## Response

Successful Response

### Main Structure (Root)

**statusCode** `integer`

Status code form API.

**messages** `string`

Status message that describes the status code.

**hasMore** `boolean`

Information on whether there is additional data to be retrieved (true/false).

**pageCount** `integer`

Total number of data pages.

**pageSize** `integer`

Number of items per page.

**page** `integer`

The page currently displayed.

**data** `array of object`

List of products displayed.

### data Structure (Array Of Object)

**id** `string`

Unique identifier of the product.

**amount** `integer`

Product price amount.

**category** `string | null`

Product category if available.

**createdAt** `number`

Timestamp in milliseconds indicating when the product was created.

**description** `string`

Product description in HTML format.

**link** `string`

Unique slug or identifier used in the product URL.

**type** `string`

Product type (e.g., `saas`, `event`, `membership`, `ebook`, etc.).

**subType** `string | null`

Product subtype if applicable.

**status** `string`

Current product status (e.g., `active`, `inactive`).

**name** `string`

Product name.

**limit** `integer | null`

Purchase or access limit if configured.

**redirectUrl** `string | null`

URL where the customer will be redirected after checkout.

**installmentId** `string | null`

Installment identifier if the product supports installment payments.

**variant** `string | null`

Product variant.

**membershipTier** `string | null`

Installment identifier if the product supports installment payments.

**event** `object | null`

Event details.

**order** `object | null`

Order configuration if applicable.

**coverImageId** `string | null`

Identifier of the cover image.

**multipleImageId** `array | null`

List of additional image identifiers.

**coverImage** `object | null`

Cover image object containing image details.

**multipleImage** `array | null`

List of additional image objects.

**variants** `string | null`

Product variant.

**transactions** `array`

List of related transactions (empty if none).

**linkUrl** `string`

Public product page URL.

**linkPayment** `string`

Public payment link URL.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.